%global srcname wsme
%global osrcname WSME

Name:           python-%{srcname}
Version:        0.12.1
Release:        %mkrel 3
Summary:        Simplify the writing of REST APIs, and extend them with additional protocols

Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/WSME/
Source0:        https://pypi.io/packages/source/w/%{srcname}/%{osrcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Simplify the writing of REST APIs, and extend them with additional protocols.

%package -n python3-%{srcname}
Summary:        Simplify the writing of REST APIs, and extend them with additional protocols
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{srcname}
Simplify the writing of REST APIs, and extend them with additional protocols.
This is the Python 3 build of %{srcname}.

%prep
%setup -q -n %{osrcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wsme wsmeext

%files -n python3-%{srcname} -f %{pyproject_files}
%{python3_sitelib}/WSME-*-nspkg.pth


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.12.1-3.mga10
+ Revision: 2241653
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.12.1-2.mga10
+ Revision: 2158897
- rebuild for python3.13

* Sun Feb 18 2024 papoteur <papoteur> 0.12.1-1.mga10
+ Revision: 2042293
- new version 0.12.1

* Thu Mar 24 2022 umeabot <umeabot> 0.11.0-2.mga9
+ Revision: 1824795
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 0.11.0-1.mga9
+ Revision: 1779770
- version 0.11.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.8.0-9.mga9
+ Revision: 1732974
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.8.0-8.mga8
+ Revision: 1532510
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.8.0-7.mga8
+ Revision: 1442483
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 0.8.0-6.mga7
+ Revision: 1351870
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.8.0-5.mga7
+ Revision: 1290572
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 0.8.0-4.mga7
+ Revision: 1227780
- rename python-wsme to python2-wsme
- add BR on python3dist(pbr)

* Wed Oct 04 2017 tv <tv> 0.8.0-3.mga7
+ Revision: 1168595
- BR pythonX-pbr thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 0.8.0-2.mga7
+ Revision: 1135696
- Rebuild for python 3.6

* Wed Dec 16 2015 daviddavid <daviddavid> 0.8.0-1.mga6
+ Revision: 911015
- new version: 0.8.0
- add python 3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.5-1.b2.7.mga5
+ Revision: 750639
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5-1.b2.6.mga5
+ Revision: 730012
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5-0.b2.6.mga5
+ Revision: 688426
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5-0.b2.4.mga4
+ Revision: 544526
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5-0.b2.3.mga4
+ Revision: 499757
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 0.5-0.b2.2.mga4
+ Revision: 460922
- Requires python-webob

* Tue Jul 30 2013 neoclust <neoclust> 0.5-0.b2.1.mga4
+ Revision: 460914
- imported package python-wsme

